import { Handle } from 'react-flow-renderer'
import { Actions, FlowContext } from '../../context'
import { useContext } from 'react'
import { CloseOutlined, RightOutlined } from '@ant-design/icons'
export const InputNode = () => {
  return (
    <>
      <div className="shadow-card cursor-default p-1 bg-hex-bfbfbf rounded-lg text-center">
        <div className=" text-hex-fff leading-7 h-7 text-12px ml-1">流程发起人</div>
        {/* <div className="text-14px px-4px py-5px leading-22px text-black text-opacity-85 bg-white rounded-4px h-32px">
          具有新建权限的员工
        </div> */}
      </div>
      <Handle type="source" position="bottom" />
    </>
  )
}

export const OutputNode = () => {
  return (
    <>
      <Handle type="target" position="top" />
      <div className="shadow-card cursor-default p-1 bg-hex-bfbfbf rounded-lg text-center">
        <div className=" text-hex-fff leading-7 h-7 text-12px ml-1">流程结束</div>
        {/* <div className="text-14px px-4px py-5px leading-22px text-black text-opacity-85 bg-white rounded-4px h-32px">
          具有新建权限的员工
        </div> */}
      </div>
    </>
  )
}

export const CommonNode = props => {
  const { id, data } = props

  const { flowState, dispatch } = useContext(FlowContext)
  const { flowInstance, flowData } = flowState
  const removeNode = () => {
    dispatch({
      type: Actions.REMOVE_FLOW_NODE,
      payload: {
        id,
        data
      }
    })
    setTimeout(() => {
      flowInstance?.fitView()
    }, 80)
  }
  const openDrawer = () => {
    dispatch({
      type: Actions.OPEN_MODAL,
      payload: {
        id
      }
    })
  }

  const auditor = flowData.get(id)

  return (
    <>
      <Handle type="target" position="top" />
      {/* <div className="min-h-18 w-52 node_content">
        <div className="bg-hex-f78b22 text-light-500 leading-6 h-6 px-4 text-12px rounded-t-sm flex justify-between items-center">
          <span>审批人</span>
          <span className="remove_node" onClick={removeNode}>
            <CloseOutlined size={12} />
          </span>
        </div>
        <div className="p-4 bg-white rounded-b-sm">
          <div className="text-14px  flex justify-between operate_node">
            <span>请选择选批人</span>
            <span>
              <RightOutlined />
            </span>
          </div>
        </div>
      </div> */}
      <div className="shadow-card cursor-default p-1 bg-hex-1890ff rounded-lg node_content">
        <div className="relative text-light-500  p-1 flex justify-between items-center">
          <div className="leading-5 h-5 text-12px">审批人</div>
          <div
            className="remove_node w-24px h-24px bg-hex-ff4d4f align-middle"
            onClick={removeNode}>
            <CloseOutlined size={12} />
          </div>
        </div>
        <div
          className="text-14px px-4px py-5px leading-22px text-black text-opacity-85 bg-white rounded-4px h-32px flex justify-between cursor-pointer"
          onClick={openDrawer}>
          <div>{auditor ? auditor.approvalAccounts?.[0]?.name : '请选择审批人'}</div>
          <div>
            <RightOutlined />
          </div>
        </div>
      </div>
      <Handle type="source" position="bottom" />
    </>
  )
}
