import React from 'react'
import { ReactFlowProvider } from 'react-flow-renderer'
import type { FC } from 'react'

import './index.less'
import { FlowContextProvider } from './context'
import ToolBar from './components/Toolbar'
import FlowGroph from './components/Graph'
import FlowDrawer from './components/Drawer'

const ApprovalFlow: FC<ApprovalFlowProps> = props => {
  return (
    <div className="flow-container h-full w-full">
      <FlowContextProvider>
        <ReactFlowProvider>
          {/** 顶部工具栏 */}
          <ToolBar dataId={props.id} closeAnimateContent={props.closeAnimateContent} />
          <div className="h-full w-full">
            <FlowGroph {...props} />
          </div>
          <FlowDrawer />
        </ReactFlowProvider>
      </FlowContextProvider>
    </div>
  )
}

export default ApprovalFlow
