/* eslint-disable react-hooks/rules-of-hooks */
import { useWebSocket } from 'ahooks'
import { useEffect, useState } from 'react'
import { useModel } from 'umi'

export enum cmdType {
  Single = 10,
  Group = 11,
  OnlineList = 12,
  Notice = 13
}

export enum noticeType {
  Notice = 1,
  Message = 2
}

export default function useWebSocketFn() {
  const { initialState } = useModel('@@initialState')

  const { currentUser } = initialState
  console.log(currentUser)

  const [copyCount, setCopyCount] = useState('')
  const { disconnect, connect, webSocketIns } = useWebSocket(
    `ws://cld2qa.com/summon/v1/chat/link?username=${currentUser.name}&id=${currentUser.ID}`,
    {
      manual: true,
      onMessage: msg => {
        const data = JSON.parse(msg.data)
        if (data.cmd === 1) {
          setCopyCount(data.CopyCount)
        }
      },
      reconnectLimit: 0,
      reconnectInterval: 2000
    }
  )
  useEffect(() => {
    window.addEventListener('beforeunload', () => {
      disconnect()
    })
    if (currentUser && currentUser.staffId) {
      connect()
    }
    return () => {
      disconnect()
    }
  }, [])

  function sendMsg(cmd: cmdType, options: any) {
    webSocketIns?.send(
      JSON.stringify({ cmd, userid: `${currentUser.staffId}_${copyCount}`, ...options })
    )
  }
  return { webSocketIns, sendMsg }
}
