import React from 'react'
import { HeartTwoTone, SmileTwoTone } from '@ant-design/icons'
import { Card, Typography, Alert } from 'antd'
import { PageHeaderWrapper } from '@ant-design/pro-layout'
import { useIntl } from 'umi'

export default (): React.ReactNode => {
  const intl = useIntl()
  return (
    <PageHeaderWrapper
      content={intl.formatMessage({
        id: 'pages.admin.subPage.title',
        defaultMessage: 'This page can only be viewed by admin'
      })}>
      <Card>
        <Alert
          message={intl.formatMessage({
            id: 'pages.welcome.alertMessage',
            defaultMessage: 'Faster and stronger heavy-duty components have been released.'
          })}
          type="success"
          showIcon
          banner
          style={{
            margin: -12,
            marginBottom: 48
          }}
        />
        <Typography.Title level={2} style={{ textAlign: 'center' }}>
          <SmileTwoTone /> 投资项目云平台 <HeartTwoTone twoToneColor="#eb2f96" /> You
        </Typography.Title>
      </Card>
    </PageHeaderWrapper>
  )
}
